"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IInboxDeployedBytecode = exports.IInboxBytecode = exports.IInboxAbi = void 0;
exports.IInboxAbi = [
    {
        "inputs": [],
        "name": "CallToMailbox",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "_requiredFee",
                "type": "uint256"
            }
        ],
        "name": "InsufficientFee",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            }
        ],
        "name": "IntentAlreadyFulfilled",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "_addr",
                "type": "address"
            },
            {
                "internalType": "bytes",
                "name": "_data",
                "type": "bytes"
            },
            {
                "internalType": "uint256",
                "name": "value",
                "type": "uint256"
            },
            {
                "internalType": "bytes",
                "name": "_returnData",
                "type": "bytes"
            }
        ],
        "name": "IntentCallFailed",
        "type": "error"
    },
    {
        "inputs": [],
        "name": "IntentExpired",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            }
        ],
        "name": "IntentNotFulfilled",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "bytes32",
                "name": "_expectedHash",
                "type": "bytes32"
            }
        ],
        "name": "InvalidHash",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "_inbox",
                "type": "address"
            }
        ],
        "name": "InvalidInbox",
        "type": "error"
    },
    {
        "inputs": [],
        "name": "NativeTransferFailed",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "_solver",
                "type": "address"
            }
        ],
        "name": "UnauthorizedSolveAttempt",
        "type": "error"
    },
    {
        "inputs": [],
        "name": "UnauthorizedTransferNative",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "_chainID",
                "type": "uint256"
            }
        ],
        "name": "WrongChain",
        "type": "error"
    },
    {
        "inputs": [],
        "name": "ZeroClaimant",
        "type": "error"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            },
            {
                "indexed": true,
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            }
        ],
        "name": "AddToBatch",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "bytes32[]",
                "name": "_hashes",
                "type": "bytes32[]"
            },
            {
                "indexed": true,
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            }
        ],
        "name": "BatchSent",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            },
            {
                "indexed": true,
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            }
        ],
        "name": "Fulfillment",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            },
            {
                "indexed": true,
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            }
        ],
        "name": "HyperInstantFulfillment",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "_mailbox",
                "type": "address"
            }
        ],
        "name": "MailboxSet",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "_solver",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "bool",
                "name": "_canSolve",
                "type": "bool"
            }
        ],
        "name": "SolverWhitelistChanged",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [],
        "name": "SolvingIsPublic",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "bytes32",
                "name": "_hash",
                "type": "bytes32"
            },
            {
                "indexed": true,
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            }
        ],
        "name": "ToBeProven",
        "type": "event"
    },
    {
        "inputs": [
            {
                "components": [
                    {
                        "internalType": "bytes32",
                        "name": "salt",
                        "type": "bytes32"
                    },
                    {
                        "internalType": "uint256",
                        "name": "source",
                        "type": "uint256"
                    },
                    {
                        "internalType": "uint256",
                        "name": "destination",
                        "type": "uint256"
                    },
                    {
                        "internalType": "address",
                        "name": "inbox",
                        "type": "address"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "token",
                                "type": "address"
                            },
                            {
                                "internalType": "uint256",
                                "name": "amount",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct TokenAmount[]",
                        "name": "tokens",
                        "type": "tuple[]"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "target",
                                "type": "address"
                            },
                            {
                                "internalType": "bytes",
                                "name": "data",
                                "type": "bytes"
                            },
                            {
                                "internalType": "uint256",
                                "name": "value",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct Call[]",
                        "name": "calls",
                        "type": "tuple[]"
                    }
                ],
                "internalType": "struct Route",
                "name": "_route",
                "type": "tuple"
            },
            {
                "internalType": "bytes32",
                "name": "_rewardHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            },
            {
                "internalType": "bytes32",
                "name": "_expectedHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            }
        ],
        "name": "fulfillHyperBatched",
        "outputs": [
            {
                "internalType": "bytes[]",
                "name": "",
                "type": "bytes[]"
            }
        ],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "components": [
                    {
                        "internalType": "bytes32",
                        "name": "salt",
                        "type": "bytes32"
                    },
                    {
                        "internalType": "uint256",
                        "name": "source",
                        "type": "uint256"
                    },
                    {
                        "internalType": "uint256",
                        "name": "destination",
                        "type": "uint256"
                    },
                    {
                        "internalType": "address",
                        "name": "inbox",
                        "type": "address"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "token",
                                "type": "address"
                            },
                            {
                                "internalType": "uint256",
                                "name": "amount",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct TokenAmount[]",
                        "name": "tokens",
                        "type": "tuple[]"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "target",
                                "type": "address"
                            },
                            {
                                "internalType": "bytes",
                                "name": "data",
                                "type": "bytes"
                            },
                            {
                                "internalType": "uint256",
                                "name": "value",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct Call[]",
                        "name": "calls",
                        "type": "tuple[]"
                    }
                ],
                "internalType": "struct Route",
                "name": "_route",
                "type": "tuple"
            },
            {
                "internalType": "bytes32",
                "name": "_rewardHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            },
            {
                "internalType": "bytes32",
                "name": "_expectedHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            }
        ],
        "name": "fulfillHyperInstant",
        "outputs": [
            {
                "internalType": "bytes[]",
                "name": "",
                "type": "bytes[]"
            }
        ],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "components": [
                    {
                        "internalType": "bytes32",
                        "name": "salt",
                        "type": "bytes32"
                    },
                    {
                        "internalType": "uint256",
                        "name": "source",
                        "type": "uint256"
                    },
                    {
                        "internalType": "uint256",
                        "name": "destination",
                        "type": "uint256"
                    },
                    {
                        "internalType": "address",
                        "name": "inbox",
                        "type": "address"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "token",
                                "type": "address"
                            },
                            {
                                "internalType": "uint256",
                                "name": "amount",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct TokenAmount[]",
                        "name": "tokens",
                        "type": "tuple[]"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "target",
                                "type": "address"
                            },
                            {
                                "internalType": "bytes",
                                "name": "data",
                                "type": "bytes"
                            },
                            {
                                "internalType": "uint256",
                                "name": "value",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct Call[]",
                        "name": "calls",
                        "type": "tuple[]"
                    }
                ],
                "internalType": "struct Route",
                "name": "_route",
                "type": "tuple"
            },
            {
                "internalType": "bytes32",
                "name": "_rewardHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            },
            {
                "internalType": "bytes32",
                "name": "_expectedHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            },
            {
                "internalType": "bytes",
                "name": "_metadata",
                "type": "bytes"
            },
            {
                "internalType": "address",
                "name": "_postDispatchHook",
                "type": "address"
            }
        ],
        "name": "fulfillHyperInstantWithRelayer",
        "outputs": [
            {
                "internalType": "bytes[]",
                "name": "",
                "type": "bytes[]"
            }
        ],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "components": [
                    {
                        "internalType": "bytes32",
                        "name": "salt",
                        "type": "bytes32"
                    },
                    {
                        "internalType": "uint256",
                        "name": "source",
                        "type": "uint256"
                    },
                    {
                        "internalType": "uint256",
                        "name": "destination",
                        "type": "uint256"
                    },
                    {
                        "internalType": "address",
                        "name": "inbox",
                        "type": "address"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "token",
                                "type": "address"
                            },
                            {
                                "internalType": "uint256",
                                "name": "amount",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct TokenAmount[]",
                        "name": "tokens",
                        "type": "tuple[]"
                    },
                    {
                        "components": [
                            {
                                "internalType": "address",
                                "name": "target",
                                "type": "address"
                            },
                            {
                                "internalType": "bytes",
                                "name": "data",
                                "type": "bytes"
                            },
                            {
                                "internalType": "uint256",
                                "name": "value",
                                "type": "uint256"
                            }
                        ],
                        "internalType": "struct Call[]",
                        "name": "calls",
                        "type": "tuple[]"
                    }
                ],
                "internalType": "struct Route",
                "name": "_route",
                "type": "tuple"
            },
            {
                "internalType": "bytes32",
                "name": "_rewardHash",
                "type": "bytes32"
            },
            {
                "internalType": "address",
                "name": "_claimant",
                "type": "address"
            },
            {
                "internalType": "bytes32",
                "name": "_expectedHash",
                "type": "bytes32"
            }
        ],
        "name": "fulfillStorage",
        "outputs": [
            {
                "internalType": "bytes[]",
                "name": "",
                "type": "bytes[]"
            }
        ],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            },
            {
                "internalType": "bytes32[]",
                "name": "_intentHashes",
                "type": "bytes32[]"
            }
        ],
        "name": "sendBatch",
        "outputs": [],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "_sourceChainID",
                "type": "uint256"
            },
            {
                "internalType": "address",
                "name": "_prover",
                "type": "address"
            },
            {
                "internalType": "bytes32[]",
                "name": "_intentHashes",
                "type": "bytes32[]"
            },
            {
                "internalType": "bytes",
                "name": "_metadata",
                "type": "bytes"
            },
            {
                "internalType": "address",
                "name": "_postDispatchHook",
                "type": "address"
            }
        ],
        "name": "sendBatchWithRelayer",
        "outputs": [],
        "stateMutability": "payable",
        "type": "function"
    },
    {
        "inputs": [],
        "name": "version",
        "outputs": [
            {
                "internalType": "string",
                "name": "",
                "type": "string"
            }
        ],
        "stateMutability": "pure",
        "type": "function"
    }
];
exports.IInboxBytecode = "0x";
exports.IInboxDeployedBytecode = "0x";
