"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IPermitDeployedBytecode = exports.IPermitBytecode = exports.IPermitAbi = void 0;
exports.IPermitAbi = [
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "deadline",
                "type": "uint256"
            }
        ],
        "name": "AllowanceExpired",
        "type": "error"
    },
    {
        "inputs": [],
        "name": "ExcessiveInvalidation",
        "type": "error"
    },
    {
        "inputs": [
            {
                "internalType": "uint256",
                "name": "amount",
                "type": "uint256"
            }
        ],
        "name": "InsufficientAllowance",
        "type": "error"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "owner",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "token",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "spender",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "uint160",
                "name": "amount",
                "type": "uint160"
            },
            {
                "indexed": false,
                "internalType": "uint48",
                "name": "expiration",
                "type": "uint48"
            }
        ],
        "name": "Approval",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "owner",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "address",
                "name": "token",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "address",
                "name": "spender",
                "type": "address"
            }
        ],
        "name": "Lockdown",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "owner",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "token",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "spender",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "uint48",
                "name": "newNonce",
                "type": "uint48"
            },
            {
                "indexed": false,
                "internalType": "uint48",
                "name": "oldNonce",
                "type": "uint48"
            }
        ],
        "name": "NonceInvalidation",
        "type": "event"
    },
    {
        "anonymous": false,
        "inputs": [
            {
                "indexed": true,
                "internalType": "address",
                "name": "owner",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "token",
                "type": "address"
            },
            {
                "indexed": true,
                "internalType": "address",
                "name": "spender",
                "type": "address"
            },
            {
                "indexed": false,
                "internalType": "uint160",
                "name": "amount",
                "type": "uint160"
            },
            {
                "indexed": false,
                "internalType": "uint48",
                "name": "expiration",
                "type": "uint48"
            },
            {
                "indexed": false,
                "internalType": "uint48",
                "name": "nonce",
                "type": "uint48"
            }
        ],
        "name": "Permit",
        "type": "event"
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "user",
                "type": "address"
            },
            {
                "internalType": "address",
                "name": "token",
                "type": "address"
            },
            {
                "internalType": "address",
                "name": "spender",
                "type": "address"
            }
        ],
        "name": "allowance",
        "outputs": [
            {
                "internalType": "uint160",
                "name": "amount",
                "type": "uint160"
            },
            {
                "internalType": "uint48",
                "name": "expiration",
                "type": "uint48"
            },
            {
                "internalType": "uint48",
                "name": "nonce",
                "type": "uint48"
            }
        ],
        "stateMutability": "view",
        "type": "function"
    },
    {
        "inputs": [
            {
                "components": [
                    {
                        "internalType": "address",
                        "name": "from",
                        "type": "address"
                    },
                    {
                        "internalType": "address",
                        "name": "to",
                        "type": "address"
                    },
                    {
                        "internalType": "uint160",
                        "name": "amount",
                        "type": "uint160"
                    },
                    {
                        "internalType": "address",
                        "name": "token",
                        "type": "address"
                    }
                ],
                "internalType": "struct IPermit.AllowanceTransferDetails[]",
                "name": "transferDetails",
                "type": "tuple[]"
            }
        ],
        "name": "transferFrom",
        "outputs": [],
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "inputs": [
            {
                "internalType": "address",
                "name": "from",
                "type": "address"
            },
            {
                "internalType": "address",
                "name": "to",
                "type": "address"
            },
            {
                "internalType": "uint160",
                "name": "amount",
                "type": "uint160"
            },
            {
                "internalType": "address",
                "name": "token",
                "type": "address"
            }
        ],
        "name": "transferFrom",
        "outputs": [],
        "stateMutability": "nonpayable",
        "type": "function"
    }
];
exports.IPermitBytecode = "0x";
exports.IPermitDeployedBytecode = "0x";
